Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
EzSystems\PlatformInstallerBundle\Event\Subscriber\BuildSchemaSubscriber Class Reference
Inheritance diagram for EzSystems\PlatformInstallerBundle\Event\Subscriber\BuildSchemaSubscriber:

## Public Member Functions
| __construct (string $schemaFilePath)
| onBuildSchema (SchemaBuilderEvent $event)

## Static Public Member Functions
static | getSubscribedEvents ()
| Returns an array of events this subscriber wants to listen to. More...

## Private Attributes
| $schemaFilePath

## Detailed Description

Definition at line 15 of file BuildSchemaSubscriber.php.

## Constructor & Destructor Documentation

## ◆ __construct()

EzSystems\PlatformInstallerBundle\Event\Subscriber\BuildSchemaSubscriber::__construct | ( | string | $schemaFilePath | ) |

Parameters

  string | $schemaFilePath | Path to Yaml schema definition supported by SchemaBuilder

Definition at line 23 of file BuildSchemaSubscriber.php.

References EzSystems\PlatformInstallerBundle\Event\Subscriber\BuildSchemaSubscriber\$schemaFilePath.

## Member Function Documentation

## ◆ getSubscribedEvents()

static EzSystems\PlatformInstallerBundle\Event\Subscriber\BuildSchemaSubscriber::getSubscribedEvents | ( |  | ) |
| static

Returns an array of events this subscriber wants to listen to.

Returns
  array

Definition at line 33 of file BuildSchemaSubscriber.php.

## ◆ onBuildSchema()

EzSystems\PlatformInstallerBundle\Event\Subscriber\BuildSchemaSubscriber::onBuildSchema | ( | SchemaBuilderEvent | $event | ) |

Parameters

  \EzSystems\DoctrineSchema\API\Event\SchemaBuilderEvent | $event |

Definition at line 43 of file BuildSchemaSubscriber.php.

## Member Data Documentation

## ◆ $schemaFilePath

EzSystems\PlatformInstallerBundle\Event\Subscriber\BuildSchemaSubscriber::$schemaFilePath
| private

Definition at line 18 of file BuildSchemaSubscriber.php.

Referenced by EzSystems\PlatformInstallerBundle\Event\Subscriber\BuildSchemaSubscriber\__construct().

The documentation for this class was generated from the following file:

- BuildSchemaSubscriber.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.